/**
 * @ author: richen
 * @ copyright: Copyright (c) - <richenlin(at)gmail.com>
 * @ license: MIT
 * @ version: 2019-10-16 10:40:07
 */
import { BaseModel } from "./BaseModel";
export declare class RelModel extends BaseModel {
    relations: any;
    relationShip: any;
    constructor(...args: any[]);
    /**
     * relation ship
     * rel(true)
     * rel(true, {user:{field:[], where: {}}})
     * rel(['user'], {user:{field:[], where: {}}})
     * @param {boolean} [rels=true]
     * @param {any} options
     */
    rel(rels?: boolean | any, options?: any): any;
    /**
     * 查询单条数据
     *
     * @param {any} options
     * @returns
     */
    find(options: any): Promise<any>;
    /**
     * 查询多条数据
     *
     * @param {any} options
     * @returns
     */
    select(options: any): Promise<any>;
    /**
     * 分页查询
     *
     * @param {any} options
     * @returns
     */
    countSelect(options: any): Promise<any>;
}
